@font-face {
  font-family: "OpenSansLight";
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/OpenSans/OpenSansLight.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans/OpenSansLight.woff") format("woff"), url("../fonts/OpenSans/OpenSansLight.ttf") format("truetype"), url("../fonts/OpenSans/OpenSansLight.svg#web") format("svg");
}

@font-face {
  font-family: "OpenSansRegular";
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/OpenSans/OpenSans-Regular.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans/OpenSans-Regular.woff") format("woff"), url("../fonts/OpenSans/OpenSans-Regular.ttf") format("truetype"), url("../fonts/OpenSans/OpenSans-Regular.svg#web") format("svg");
}

@font-face {
  font-family: "OpenSansSemibold";
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/OpenSans/OpenSans-Semibold.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans/OpenSans-Semibold.woff") format("woff"), url("../fonts/OpenSans/OpenSans-Semibold.ttf") format("truetype"), url("../fonts/OpenSans/OpenSans-Semibold.svg#web") format("svg");
}

@font-face {
  font-family: "OpenSansBold";
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/OpenSans/OpenSansBold.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans/OpenSansBold.woff") format("woff"), url("../fonts/OpenSans/OpenSansBold.ttf") format("truetype"), url("../fonts/OpenSans/OpenSansBold.svg#web") format("svg");
}
@import "sprite.less";

.sprite(){
  background-image:url("../img/spritesheet.png");
  background-repeat: no-repeat;
}

//................Variables..............

@light-font: OpenSansLight, sans-serif;
@regular-font: OpenSansRegular, sans-serif;
@bold-font: OpenSansBold, sans-serif;
@semibold-font: OpenSansSemibold, sans-serif;
@primary-background-color: #fff;
@primary-text-color: #848387;
@primary-color: #80bde7;
@hospitality-color: #80bbe6;
@retail-color: #81c494;
@health-color: #d58f31;
@takeaways-color: #c274ff;
@convenience-color: #ea564d;

@primary-font-size:14.26px;
@header-height: 60px;
@footer-height: 48.25px;
@device-x-large: ~"only all and (min-width: 1366px)";
@device-large: ~"only all and (min-width: 1024px)";
@device-medium: ~"only all and (max-width: 1023px)";
@device-small: ~"only all and (max-width: 767px)";
@device-x-small: ~"only all and (max-device-width: 479px)";
@device-xx-small: ~"only all and (max-device-width: 319px)";

//................Mixins..............

.border-radius(@val){
  -webkit-border-radius:@val;
  -moz-border-radius:@val;
  border-radius:@val;
}
.flexbox() {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
}

.flex(@values) {
  -webkit-box-flex: @values;
  -moz-box-flex:  @values;
  -webkit-flex:  @values;
  -ms-flex:  @values;
  flex:  @values;
}

.order(@val) {
  -webkit-box-ordinal-group: @val;
  -moz-box-ordinal-group: @val;
  -ms-flex-order: @val;
  -webkit-order: @val;
  order: @val;
}

.transform(@val)
{
  -webkit-transform: @val;
  -moz-transform: @val;
  -ms-transform: @val;
  -o-transform: @val;
  transform: @val;
}

.transition(@val){
  -webkit-transition: @val;
  -moz-transition: @val;
  transition: @val;
}

.auto-margin{
  margin:auto;
}

.align-and-justify(){
  &.flex-justify-start{
    justify-content: flex-start;
  }
  &.flex-justify-center{
    justify-content: center;
  }
  &.flex-justify-end{
    justify-content: flex-end;
  }
  &.flex-justify-end-small{
    @media @device-small{
      justify-content: flex-end;
    }
  }
  &.flex-justify-space-around{
    justify-content: space-around;
  }
  &.flex-justify-space-between{
    justify-content: space-between;
  }

  &.flex-justify-center-medium{
    @media @device-medium{
      justify-content: center;
    }
  }

  &.flex-align-start{
    align-items: flex-start;
  }
  &.flex-align-center{
    align-items: center;
  }
  &.flex-align-end{
    align-items: flex-end;
  }

}

.border-box(){
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}


.content-width(){
  @media screen {
    @media (max-width: 1024px) {
      width:100%;
      padding:0 50px;
    }
  }
  @media @device-small{
    padding:0;
  }
  width:70%;
}

.transparent-button(@val : @primary-color){
  position: relative;
  border: 2px solid @val;
  color: @val;
  .border-radius(8px);
  background: transparent;
  font-family: @semibold-font;
  .transition(all 0.2s ease-out);

  &:hover{
    color: white;
    background-color: @val;

    &:before{
      -webkit-animation: shine 0.5s 0s linear;
      -moz-animation: shine 0.5s 0s linear;
      animation: shine 1s 0s linear;
    }
    &:before{
      content: '';
      display: block;
      width: 0px;
      height: 86%;
      position: absolute;
      top: 7%;
      left: 0%;
      opacity: 0;
      background: white;
      box-shadow: 0 0 15px 3px white;
      .transform(skewX(-20deg));
    }
  }
}

.section-mobile-style(){
  @media @device-medium{
    padding:20px;
  }
}
//................General..............

body {
  font: 100% @regular-font;
  font-size-adjust:0.5;
  color: @primary-text-color;
  margin:0;
  padding: 0 0 @footer-height;
  @media @device-medium{
    padding-bottom: 0;
  }
}
*{
  .border-box();
}
.animated{
  -webkit-animation-fill-mode:none !important;
  animation-fill-mode:none !important;
}
.content{
  .content-width();
}
.font-bold{
  font-family: @bold-font !important;
}
.font-light{
  font-family: @light-font !important;
}
.font-semibold{
  font-family: @semibold-font !important;
}
.font-regular{
  font-family: @regular-font !important;
}
.flex-wrap{
  flex-wrap: wrap;
}
.flex-row {
  flex-direction: row;
  .flexbox();
  .align-and-justify();

  &.flex-col-small{
    @media @device-small {
      flex-direction: column;
    }
  }
  &.flex-col-reverse-small{
    @media @device-small {
      flex-direction: column-reverse;
    }
  }

  &.flex-col-medium{
    @media @device-medium {
      flex-direction: column;
    }
  }
}
.flex-row-reverse {
  flex-direction: row-reverse;
  .flexbox();
  .align-and-justify();
}
.flex-col{
  flex-direction: column;
  .flexbox();
  .align-and-justify();
}
.flex-col-reverse {
  flex-direction: column-reverse;
  .flexbox();
  .align-and-justify();
}

.flex-align-self-start{
  align-self: flex-start;
}
.flex-align-self-end{
  align-self: flex-end;
}
.flex-1{
  .flex(1);
}

.transparent-button{
  .transparent-button(@primary-color);
}

input{
  outline:none;
  border:none;
}

a,button{
  outline: none;
  cursor: pointer;
  text-decoration: none;
  background: transparent;
  border:none;
  color: @primary-text-color;
  .transition(color 0.3s ease-out);

  &:hover{
    color:@primary-color;
  }
}
button{
  .border-radius(5px);
}
button.primary{
  background: @primary-color;
  color:#fff;
}
.text-align-center{
  text-align: center;
}
p{
  font-size: 13px;
  margin: 0 0 10px 0;
}
.hidden{
  opacity:0;
}
.visible{
  opacity:1;
}
.no-js #loader { display: none;  }
.js #loader { display: block; position: absolute; left: 100px; top: 0; }
.se-pre-con {
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background: url(../img/loader1.gif) center no-repeat #fff;
}
.hide-small{
  @media @device-small{
    display: none;
  }
}
.hide-medium{
  @media @device-medium{
    display: none;
  }
}
.hide-large{
  @media @device-large{
    display: none;
  }
}
//................Icons....................
.icon-hospitality{
  color:@hospitality-color;
}
.icon-retail{
  color:@retail-color;
}
.icon-health{
  color:@health-color;
}
.icon-convenience{
  color:@convenience-color;
}
.icon-takeaways{
  color:@takeaways-color;
}

.title{
  font-size:34px;
  .font-light();
  font-weight: normal;
  margin:0;

  @media @device-medium{
    font-size: 26px !important;
  }
}
.subtitle{
  font-size:17px;
  font-weight: normal;
  margin:0;

  @media @device-medium{
    font-size: 15px;
  }
}


//................Main Section and Headers..............
.top-section{

  .header{
    @media @device-large{
      margin:40px 0 0;
    }

    font-size: @primary-font-size;
    background:@primary-background-color;

    .content{
      @media @device-medium{
        padding:20px;
      }
      @media @device-small{
        padding:0 20px 20px;
      }
      .logo{
        @media @device-small{
          margin: 30px 0 20px;
        }
      }
      .buttons > div{
        margin:0 10px;

        @media @device-small{
          text-align: center;
          margin:0 5px;
        }
      }
      .transparent-button{
        padding: 14px 16px;
        font-size: @primary-font-size;

        @media @device-small{
          margin: 30px 0 0;
        }
      }
      .icon-basket{
        font-size:21px;
        vertical-align: text-bottom;
        margin-right:10px;
      }

      .mobile-style{
        @media @device-small{
          position:fixed;
          top: 0;
          padding:15px 0;
          right:0;
          width: 100%;
          background-color: #fff;
          z-index: 99999;
        }
        div{
          @media @device-small{
            flex:1;
          }
        }
      }
    }
  }

  .introduction{
    position: relative;
    width: 100%;
    video{
      width: 100%;
      vertical-align: top;

      @media @device-large{
        min-width: 100%;
        min-height: 83%;
        width: auto;
        height: auto;
        position: absolute;
        top: 100%;
        left: 100%;
        transform: translate(-100%,-100%);
        z-index: -1;
        //margin-top:160px;
      }
    }
    .container{

      @media @device-large{
        width: 100%;
        position: absolute;
        top:0;
        left:0;
      }
      @media @device-medium{
        padding:0 20px;
      }


      .content{
        @media @device-large{
          margin-top:75px;
        }
        @width : 60%;

        .title{
          .border-box();
          width: 60%;
          font-size:42px;

          @media @device-medium{
            width: 100%;
            font-size: 34px;
          }
        }
        .subtitle{
          .border-box();
          width: @width;
          margin-top:25px;

          @media @device-medium{
            width: 100%;
            margin-top:17px;
          }
        }
        .buttons{
          width:510px;
          margin-top:40px;

          @media @device-medium{
            width: 600px;
            margin:20px auto 0;
          }
          @media @device-small{
            width: 440px;
            margin-top:20px;
          }
          @media @device-x-small{
            width: 300px;
          }
          @media @device-xx-small{
            width: 140px;
          }
          > a {
            .transition(0.4s);
            > div {
              background: @primary-text-color;
              height: 105px;
              width: 157px;
              color: #fff;
              margin-top: 10px;
              padding: 10px;
              .border-radius(5px);
              .border-box();

              @media @device-medium{
                width: 110px;
                height:95px;
              }

              @media @device-small{
                width: 135px;
                height:95px;
              }

              @media @device-x-small{
                width: 140px;
                height:95px;
              }
            }
            &:hover {
              transform: scale(1.1);
            }
          }

          > a:not(:last-child) > div{
            margin-right:10px;
          }

          i{
            font-size:26px;
          }
        }
      }
    }
  }
}


//................Complete Solutions Section..............

.complete-solutions{
  background: -moz-linear-gradient(270deg, rgba(255,255,255,1) 0%, rgba(222,222,222,1) 100%); /* ff3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(255,255,255,1)), color-stop(100%, rgba(222,222,222,1))); /* safari4+,chrome */
  background: -webkit-linear-gradient(270deg, rgba(255,255,255,1) 0%, rgba(222,222,222,1) 100%); /* safari5.1+,chrome10+ */
  background: -o-linear-gradient(270deg, rgba(255,255,255,1) 0%, rgba(222,222,222,1) 100%); /* opera 11.10+ */
  background: -ms-linear-gradient(270deg, rgba(255,255,255,1) 0%, rgba(222,222,222,1) 100%); /* ie10+ */
  background: linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(222,222,222,1) 100%); /* w3c */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#FFFFFF', endColorstr='#dedede',GradientType=0 ); /* ie6-9 */

  box-sizing: border-box;
  padding-top:60px;
  text-align:center;

  .section-mobile-style();

  .title{
    font-size:42px;
  }
  .subtitle{
    margin-top:40px;
    margin-bottom: 60px;
    @media @device-medium{
      margin-top:20px;
      margin-bottom: 30px;
    }
  }
  img{
    width: 100%;
  }

}

//................Complete Solutions Section..............

.call-us{
  padding:50px 0;
  text-align:center;

  .section-mobile-style();

  .subtitle{
    margin-top:40px;
    margin-bottom: 60px;
    @media @device-medium{
      margin-top:20px;
      margin-bottom: 30px;
    }
  }
  button{
    line-height: 40px;
    font-size:15px;
    padding:0 22px;
  }
}
.call-us-2{
  padding: 85px 0;
  .section-mobile-style();
}

//................Payment Types Section..............

.payment-types{
  background-color: #f0efef;
  padding:50px 0;
  text-align:center;

  .section-mobile-style();

  .subtitle{
    margin-top:40px;
    margin-bottom: 60px;
  }
  button{
    line-height: 40px;
    font-size:15px;
    padding:0 22px;
  }
  .types-container{

    width: 960px;

    @media @device-medium{
      width: 600px;
      margin-top:20px;
    }
    @media @device-small{
      width: 400px;
    }
    @media @device-x-small{
      width: 300px;
    }
    @media @device-xx-small{
      width: 140px;
    }

    .types{
      div{
        background: #fff;
        border:1px solid rgba(103, 102, 107, 0.3);
        padding:20px;
        .border-box();
        width: 230px;
        height:130px;
        margin: 0 5px 10px;

        @media @device-medium{
          width: 140px;
          height:95px;
        }

        @media @device-small{
          width: 190px;
          height:110px;
        }

        @media @device-x-small{
          width: 140px;
          height:95px;
        }

      }

    }
  }
}


//................Epos Solutions Section..............

.epos-solutions{
  padding:50px 0 0;
  text-align:center;
  overflow: hidden;
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#ffffff+0,daeae0+100 */
  background: #ffffff; /* Old browsers */
  background: -moz-linear-gradient(top, #ffffff 0%, #daeae0 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #ffffff 0%,#daeae0 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #ffffff 0%,#daeae0 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#daeae0',GradientType=0 ); /* IE6-9 */

  .section-mobile-style();

  .subtitle{
    margin-top:30px;
    margin-bottom: 60px;
  }

  img{
    width: 110%;
    margin: -15% 0% -10% -20%;

    //@media @device-large{
    //  width: 190%;
    //  margin: -30% 0% -20% -60%;
    //}

    @media @device-medium{
      width: 210%;
      margin: -45% 0% -20% -74%;
    }

    @media @device-small{
      width: 210%;
      margin: -45% 0% -20% -74%;
    }

    @media @device-x-small{
      width: 220%;
      margin: -45% 0% -20% -80%;
    }
  }
}


//................Customer Support Section..............

.customer-support{
  padding:75px 0 75px;

  .section-mobile-style();

  .subtitle{
    margin-top:30px;
    margin-bottom: 40px;
  }

  img{
    @media @device-small{
      width:70%;
      margin-top:50px;
    }
    @media @device-x-small{
        width:100%;
    }
  }
}


//................Trusted by Customers Section..............

.trusted-by-customers{
  padding:25px 0 75px;
  background-color:#f0efef;
  color:#717076;

  .section-mobile-style();

  .title{
  }
  .subtitle{
    margin-top:30px;
    margin-bottom: 30px;
  }
  .images-container{
    position: relative;
    padding-right:35px;

    @media @device-medium{
      padding-right: 0;
    }
    //width: 100%;
    //height: 300px;
  }
  img{
    @media @device-small{
      width: 100%;
      height: 100%;

    }
  }

}


//................Customers Slider Section..............

.customers-slider{
  padding:35px 0 55px;

  .section-mobile-style();
  a.icon{
    i{
      font-size:32px;
      color:@primary-color;
      border:2px solid @primary-color;
      .border-radius(100%);
      margin: 0 50px;
      .transition(0.3s);
    }

    &:hover{
      i{
        color:#444;
        border-color:#444;
      }
    }

  }
  img{
    @media @device-medium{
      width: 100%;
    }
  }
}


//................Testimonial Section..............

.testimonials{
  padding:40px 0 75px;
  background-image:url("../img/testimonial-bg.jpg");
  background-position: 0px 20%;
  background-repeat: no-repeat;
  background-size: cover;
  color:#717076;
  height:380px;
  box-sizing: border-box;
  .section-mobile-style();


  @media @device-small{
    height: 560px;
    background-position: 40% 20%;
    justify-content: flex-end;
  }

  .content > div{
    background-image: url("../img/testimonial-container.svg");
    background-repeat: no-repeat;
    background-size: cover;
    color:#fff;
    padding: 30px;
    width: 50%;
    font-size:22px;
    box-sizing: border-box;
    position: relative;

    @media @device-small{
      width:100%;
      padding: 20px;
      font-size:18px;

    }
  }

}


//................Footer Menu Section..............

.footer-menu{
  padding:25px 0 0;
  background-image:url("../img/footer-menu-bg.jpg");
  background-repeat: repeat-x;
  color:#fff;
  height:280px;
  box-sizing: border-box;
  font-size: 10px;
  .section-mobile-style();
  a{
    flex: 0 0 25%;
    color:#fff;
    margin-bottom: 10px;
    @media @device-small{
      flex: 0 0 50%;
      margin-bottom: 0;
    }

    &:hover{
      color:@primary-color;
    }
  }

  .subscribe-form{

    .border-radius(5px);
    overflow: hidden;
    height: 40px;

    input{
      padding: 0 15px;
      font-size: 18px;
      line-height: 40px;
      float: left;

      @media @device-small{
        font-size:14px;
      }
    }
    button{
      .border-radius(0);
      padding: 0 10px;
      font-size: 15px;
      line-height: 40px;
    }

  }

  .links{

    @media @device-small{
      margin-top:20px;
    }

  }
  .copyright{
    margin-left:50px;
    @media @device-small{
      margin:0;
      display: block;
    }
  }

}

//................Footer..............
footer{
  background: #444;
  width: 100%;
  color:#fff;
  font-size:15.6px;
  .transition(opacity 0.4s ease);
  .section-mobile-style();

  @media @device-small{
    text-align: center;
  }

  .content {
    .content-width();
  }

  &.fixed-to-bottom{
      position: fixed;
      bottom: 0;
      left: 0;
      z-index: 999;
  }

  .transparent-button{
    font-size:14px;
    padding:6px 18px;
    border-width: 1px;
    border-radius: 5px;
  }

  .livechat{
    .sprite();
    width: 114px;
    height: 50px;
    background-position: -7px -50px;
    color:#444;
    font-size: 14px;
    text-align: center;
    line-height: 47px;
    margin-left: 10px;
    margin-top:2px;

    &:hover{
      i{
        color:#fff;
      }
      span{
        color:@primary-color;
      }
    }
  }
}


//................Keyframes..............
@-webkit-keyframes shine {
  from {
    opacity: 0;
    left: 0%;
  }
  50% {
    opacity: 1;
  }
  to {
    opacity: 0;
    left: 100%;
  }
}
@-moz-keyframes shine {
  from {
    opacity: 0;
    left: 0%;
  }
  50% {
    opacity: 1;
  }
  to {
    opacity: 0;
    left: 100%;
  }
}
@keyframes shine {
  from {
    opacity: 0;
    left: 0%;
  }
  50% {
    opacity: 1;
  }
  to {
    opacity: 0;
    left: 100%;
  }
}
